> For the complete documentation index, see [llms.txt](https://docs.tactyc.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tactyc.io/api-and-integrations/api-overview/kpi-metrics.md).

# KPI Metrics

## **Method and URL**

<table data-header-hidden><thead><tr><th width="109"></th><th></th></tr></thead><tbody><tr><td>URL</td><td><code>https://tactycapi.com/api/v2/kpi-metrics/{{FUND_ID}}</code></td></tr><tr><td>Method</td><td>GET</td></tr><tr><td>Params</td><td><strong>Fund ID:</strong> The fund's unique ID identifier.</td></tr></tbody></table>

## Sample Request

The following is a sample request:

```
// Sample request
curl https://tactycapi.com/api/v2/kpi-metrics/{{FUND_ID}}
 -X GET
 -H 'Authorization:{{API KEY}}'
```

## Sample Response

The response will provide the following fields:

* **Status Code:** 200 for a succesful response
* **Body:** JSON array of KPIs for each investment
* **Metrics provided are:**
  * **investmentId:** Internal Tactyc ID for the investment
  * **name:** Name of the portfolio company
  * **label:** KPI name (for e.g. "Revenue")
  * **actual:** Array of numbers of actual KPI data
  * **projected**: Array of numbers of projected KPI data
  * **format:** Format of the KPI data
  * **startDate**: Start of KPI collection date
  * **reportingType:** Whether the KPI data is monthly, quarterly or annual

````json
```json
```json
{
    "status": 200,
    "body": [
        {
            "investmentId": "3cGySo6YP",
            "metrics": [
                {
                    "id": "6s0yw5c8pS",
                    "label": "ARR",
                    "actual": [
                        2300000,
                        2545832.891,
                        2571291.22,
                        2597004.132,
                        2622974.173,
                        2649203.915,
                        2675695.954,
                        2702452.914,
                        2729477.443,
                        2756772.217,
                        2784339.94,
                        2812183.339,
                        2840305.172,
                        2868708.224,
                        2897395.306,
                        2926369.259,
                        2955632.952,
                        2985189.281,
                        3015041.174,
                        2784339.94,
                        2812183.339,
                        2840305.172,
                        2868708.224,
                        2897395.306,
                        2926369.259,
                        2955632.952,
                        2985189.281,
                        3015041.174,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null
                    ],
                    "format": {
                        "currency": "USD",
                        "precision": 0
                    },
                    "documents": [],
                    "projected": [
                        3984901,
                        4024749.622,
                        4064997.118,
                        4105647.089,
                        4146703.56,
                        4188170.596,
                        4230052.302,
                        4272352.825,
                        4315076.353,
                        4358227.116,
                        4401809.388,
                        4445827.481,
                        4490285.756,
                        4535188.614,
                        4580540.5,
                        4626345.905,
                        4672609.364,
                        4719335.458,
                        4766528.812,
                        4401809.388,
                        4445827.481,
                        4490285.756,
                        4535188.614,
                        4580540.5,
                        4626345.905,
                        4672609.364,
                        4719335.458,
                        4766528.812,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null,
                        null
                    ],
                    "startDate": "2021-11-01T00:00:00.000Z",
                    "qualitative": false,
                    "hideComments": false,
                    "reportingType": "quarterly",
                    "showProjected": false,
                    "enableDocuments": true,
                    "showCurrentPeriodOnly": false
                },
```
````


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tactyc.io/api-and-integrations/api-overview/kpi-metrics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
